Bug 614213 - does not check for touchpad before displaying OSD
does not check for touchpad before displaying OSD
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: gnome-settings-daemon (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-13 17:25 EDT by Bill Nottingham
Modified: 2014-03-16 23:24 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-27 07:56:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2010-07-13 17:25:39 EDT
Description of problem:

I have a touchpad on my laptop. It's disabled in the BIOS.

When I hit the enable/disable touchpad hotkey, the gnome OSD pops up telling me of the state, even though it's not actually doing anything.

Version-Release number of selected component (if applicable):

gnome-settings-daemon-2.30.1-7.fc13.x86_64

How reproducible:

100%

Steps to Reproduce:
1. Hit Fn-F8
  
Additional info:

/proc/bus/input/devices:

I: Bus=0019 Vendor=0000 Product=0005 Version=0000
N: Name="Lid Switch"
P: Phys=PNP0C0D/button/input0
S: Sysfs=/devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0D:00/input/input0
U: Uniq=
H: Handlers=event0 
B: EV=21
B: SW=1

I: Bus=0019 Vendor=0000 Product=0003 Version=0000
N: Name="Sleep Button"
P: Phys=PNP0C0E/button/input0
S: Sysfs=/devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0E:00/input/input1
U: Uniq=
H: Handlers=kbd event1 
B: EV=3
B: KEY=4000 0 0

I: Bus=0019 Vendor=0000 Product=0001 Version=0000
N: Name="Power Button"
P: Phys=LNXPWRBN/button/input0
S: Sysfs=/devices/LNXSYSTM:00/LNXPWRBN:00/input/input2
U: Uniq=
H: Handlers=kbd event2 
B: EV=3
B: KEY=10000000000000 0

I: Bus=0011 Vendor=0001 Product=0001 Version=ab54
N: Name="AT Translated Set 2 keyboard"
P: Phys=isa0060/serio0/input0
S: Sysfs=/devices/platform/i8042/serio0/input/input3
U: Uniq=
H: Handlers=kbd event3 
B: EV=120013
B: KEY=402000000 3803078f800d001 feffffdfffefffff fffffffffffffffe
B: MSC=10
B: LED=7

I: Bus=0011 Vendor=0002 Product=000a Version=0000
N: Name="TPPS/2 IBM TrackPoint"
P: Phys=isa0060/serio1/input0
S: Sysfs=/devices/platform/i8042/serio1/input/input4
U: Uniq=
H: Handlers=mouse0 event4 
B: EV=7
B: KEY=70000 0 0 0 0
B: REL=3

I: Bus=0019 Vendor=0000 Product=0006 Version=0000
N: Name="Video Bus"
P: Phys=LNXVIDEO/video/input0
S: Sysfs=/devices/LNXSYSTM:00/LNXSYBUS:00/PNP0A08:00/LNXVIDEO:00/input/input5
U: Uniq=
H: Handlers=kbd event5 
B: EV=3
B: KEY=3e000b00000000 0 0 0

I: Bus=0019 Vendor=17aa Product=5054 Version=4101
N: Name="ThinkPad Extra Buttons"
P: Phys=thinkpad_acpi/input0
S: Sysfs=/devices/platform/thinkpad_acpi/input/input6
U: Uniq=
H: Handlers=kbd event6 rfkill 
B: EV=33
B: KEY=18840000 0 10000000000000 0 1501b00002005 1104000 e000000000000 0
B: MSC=10
B: SW=a
Comment 1 Bastien Nocera 2010-10-27 07:56:44 EDT
Fixed for F15.

commit ab4ac947c66c232afcb874ac36bece6e652ed3cc
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Oct 27 12:53:45 2010 +0100

    media-keys: Show a touchpad-disabled if no touchpad
    
    When pressing the touchpad button on the keyboard, and
    there's no touchpad present, don't show a wrong state
    for the touchpad status, but always show a "touch disabled"
    popup.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=614213

commit f6dcba4e954f3e910854f3c92fb69b157683267d
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Oct 27 12:49:42 2010 +0100

    mouse: Move "has touchpad" function to common/
    
    So it can be reused. This also fixes a memory leak in the function.
    We were leaking the device list.

Note You need to log in before you can comment on or make changes to this bug.